﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Ten kod został wygenerowany przez narzędzie.
//     Wersja wykonawcza:4.0.30319.42000
//
//     Zmiany w tym pliku mogą spowodować nieprawidłowe zachowanie i zostaną utracone, jeśli
//     kod zostanie ponownie wygenerowany.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TJEE_Lab4_klientSOAP.DataAccessSOAP {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://ebj.lab4/", ConfigurationName="DataAccessSOAP.DataAccessBean")]
    public interface DataAccessBean {
        
        // CODEGEN: Trwa generowanie kontraktu komunikatu, ponieważ nazwa elementu dane z przestrzeni nazw  nie ma atrybutu nillable.
        [System.ServiceModel.OperationContractAttribute(Action="http://ebj.lab4/DataAccessBean/DostepKlientaRequest", ReplyAction="http://ebj.lab4/DataAccessBean/DostepKlientaResponse")]
        TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaResponse DostepKlienta(TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaRequest request);
        
        // CODEGEN: Trwa generowanie kontraktu komunikatu, ponieważ nazwa elementu return z przestrzeni nazw  nie ma atrybutu nillable.
        [System.ServiceModel.OperationContractAttribute(Action="http://ebj.lab4/DataAccessBean/OdwiedzinyRequest", ReplyAction="http://ebj.lab4/DataAccessBean/OdwiedzinyResponse")]
        TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyResponse Odwiedziny(TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class DostepKlientaRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="DostepKlienta", Namespace="http://ebj.lab4/", Order=0)]
        public TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaRequestBody Body;
        
        public DostepKlientaRequest() {
        }
        
        public DostepKlientaRequest(TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class DostepKlientaRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string dane;
        
        public DostepKlientaRequestBody() {
        }
        
        public DostepKlientaRequestBody(string dane) {
            this.dane = dane;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class DostepKlientaResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="DostepKlientaResponse", Namespace="http://ebj.lab4/", Order=0)]
        public TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaResponseBody Body;
        
        public DostepKlientaResponse() {
        }
        
        public DostepKlientaResponse(TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class DostepKlientaResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string @return;
        
        public DostepKlientaResponseBody() {
        }
        
        public DostepKlientaResponseBody(string @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class OdwiedzinyRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="Odwiedziny", Namespace="http://ebj.lab4/", Order=0)]
        public TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyRequestBody Body;
        
        public OdwiedzinyRequest() {
        }
        
        public OdwiedzinyRequest(TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class OdwiedzinyRequestBody {
        
        public OdwiedzinyRequestBody() {
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class OdwiedzinyResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="OdwiedzinyResponse", Namespace="http://ebj.lab4/", Order=0)]
        public TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyResponseBody Body;
        
        public OdwiedzinyResponse() {
        }
        
        public OdwiedzinyResponse(TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class OdwiedzinyResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string @return;
        
        public OdwiedzinyResponseBody() {
        }
        
        public OdwiedzinyResponseBody(string @return) {
            this.@return = @return;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface DataAccessBeanChannel : TJEE_Lab4_klientSOAP.DataAccessSOAP.DataAccessBean, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class DataAccessBeanClient : System.ServiceModel.ClientBase<TJEE_Lab4_klientSOAP.DataAccessSOAP.DataAccessBean>, TJEE_Lab4_klientSOAP.DataAccessSOAP.DataAccessBean {
        
        public DataAccessBeanClient() {
        }
        
        public DataAccessBeanClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public DataAccessBeanClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public DataAccessBeanClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public DataAccessBeanClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaResponse TJEE_Lab4_klientSOAP.DataAccessSOAP.DataAccessBean.DostepKlienta(TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaRequest request) {
            return base.Channel.DostepKlienta(request);
        }
        
        public string DostepKlienta(string dane) {
            TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaRequest inValue = new TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaRequest();
            inValue.Body = new TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaRequestBody();
            inValue.Body.dane = dane;
            TJEE_Lab4_klientSOAP.DataAccessSOAP.DostepKlientaResponse retVal = ((TJEE_Lab4_klientSOAP.DataAccessSOAP.DataAccessBean)(this)).DostepKlienta(inValue);
            return retVal.Body.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyResponse TJEE_Lab4_klientSOAP.DataAccessSOAP.DataAccessBean.Odwiedziny(TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyRequest request) {
            return base.Channel.Odwiedziny(request);
        }
        
        public string Odwiedziny() {
            TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyRequest inValue = new TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyRequest();
            inValue.Body = new TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyRequestBody();
            TJEE_Lab4_klientSOAP.DataAccessSOAP.OdwiedzinyResponse retVal = ((TJEE_Lab4_klientSOAP.DataAccessSOAP.DataAccessBean)(this)).Odwiedziny(inValue);
            return retVal.Body.@return;
        }
    }
}
